#spring.application.name=gateway-server
#spring.config.name=gateway-service
#spring.config.import=optional:configserver:http://localhost:8888/

#spring.cloud.config.name=gateway-server
##spring.cloud.config.username=root
##spring.cloud.config.password=s3cr3t

management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=always

spring.boot.admin.client.url=http://localhost:8762
spring.boot.admin.client.auto-registration=true
spring.boot.admin.client.instance.name=GATEWAY SERVER

#spring.cloud.gateway.loadbalancer.enabled=true
#spring.cloud.loadbalancer.ribbon.enabled=false

spring.application.name=gateway-server
server.port=8082
eureka.client.service-url.defaultZone=http://localhost:8761/eureka/
eureka.client.serviceUrl.defaultZone=http://localhost:8761/eureka/
eureka.instance.instance-id=${spring.application.name}:${random.uuid}

spring.cloud.gateway.discovery.locator.enabled=true

# Configuración de Spring Cloud Gateway
spring.cloud.gateway.default-filters=DedupeResponseHeader=Access-Control-Allow-Origin Access-Control-Allow-Credentials
# Configuración global de CORS
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowed-origins[0]="http://localhost:4200"
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowed-methods[0]="*"
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowed-headers[0]="*"
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowed-origins="http://localhost:4200"
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowed-methods="*"
spring.cloud.gateway.globalcors.cors-configurations.[/**].allowed-headers="*"
#spring.cloud.gateway.globalcors.cors-configurations'[/**]'.allowed-origins[0]=http://localhost:4200
#spring.cloud.gateway.globalcors.cors-configurations'[/**]'.allowed-methods[0]=*
#spring.cloud.gateway.globalcors.cors-configurations'[/**]'.allowedHeaders[0]=*

spring.cloud.gateway.routes[0].id=CONFIG-SERVER
spring.cloud.gateway.routes[0].uri=lb://CONFIG-SERVER
spring.cloud.gateway.routes[0].predicates[0]=Path=/api/config/**

spring.cloud.gateway.routes[1].id=AUTHENTICATION-SERVER
spring.cloud.gateway.routes[1].uri=lb://AUTHENTICATION-SERVER
spring.cloud.gateway.routes[1].predicates[0]=Path=/api/auth/**
spring.cloud.gateway.routes[1].predicates[1]=Method=POST,GET

spring.cloud.gateway.routes[2].id=RECOVER-PASSWORD-SERVER
spring.cloud.gateway.routes[2].uri=lb://AUTHENTICATION-SERVER
spring.cloud.gateway.routes[2].predicates[0]=Path=/api/recover-password/**
spring.cloud.gateway.routes[2].predicates[1]=Method=POST

spring.cloud.gateway.routes[3].id=USER-REGISTER
spring.cloud.gateway.routes[3].uri=lb://USER-MANAGEMENT
spring.cloud.gateway.routes[3].predicates[0]=Path=/api/drywall/users
#spring.cloud.gateway.routes[3].predicates[2]=Header=Content-Type,application/json
spring.cloud.gateway.routes[3].predicates[1]=Method=POST

spring.cloud.gateway.routes[4].id=USER-REGISTER-ROLLBACK
spring.cloud.gateway.routes[4].uri=lb://USER-MANAGEMENT
spring.cloud.gateway.routes[4].predicates[0]=Path=/api/drywall/users/**
spring.cloud.gateway.routes[4].predicates[1]=Method=DELETE

spring.cloud.gateway.routes[5].id=USER-INFORMATION-REGISTER
spring.cloud.gateway.routes[5].uri=lb://USER-MANAGEMENT
spring.cloud.gateway.routes[5].predicates[0]=Path=/api/drywall/users/information
spring.cloud.gateway.routes[5].predicates[1]=Method=POST

spring.cloud.gateway.routes[6].id=USER-MANAGEMENT
spring.cloud.gateway.routes[6].uri=lb://USER-MANAGEMENT
spring.cloud.gateway.routes[6].predicates[0]=Path=/api/drywall/users/**
spring.cloud.gateway.routes[6].predicates[1]=Method=POST,PUT,GET,DELETE
spring.cloud.gateway.routes[6].filters[0]=AuthenticationFiltering

spring.cloud.gateway.routes[7].id=ROLES-MANAGEMENT
spring.cloud.gateway.routes[7].uri=lb://USER-MANAGEMENT
spring.cloud.gateway.routes[7].predicates[0]=Path=/api/drywall/roles/**
spring.cloud.gateway.routes[7].predicates[1]=Method=POST,PUT,GET,DELETE
spring.cloud.gateway.routes[7].filters[0]=AuthenticationFiltering

spring.cloud.gateway.routes[8].id=ROUTES-SERVERS-MANAGEMENT
spring.cloud.gateway.routes[8].uri=lb://USER-MANAGEMENT
spring.cloud.gateway.routes[8].predicates[0]=Path=/api/drywall/server/authorities/**
spring.cloud.gateway.routes[8].predicates[1]=Method=POST,PUT,GET,DELETE
spring.cloud.gateway.routes[8].filters[0]=AuthenticationFiltering

spring.cloud.gateway.routes[9].id=PROJECT-MANAGEMENT
spring.cloud.gateway.routes[9].uri=lb://PROJECT-MANAGEMENT
spring.cloud.gateway.routes[9].predicates[0]=Path=/api/drywall/project/**
spring.cloud.gateway.routes[9].predicates[1]=Method=POST,PUT,GET,DELETE
spring.cloud.gateway.routes[9].filters[0]=AuthenticationFiltering

logging.level.org.springframework.cloud.gateway=DEBUG
logging.level.reactor.netty.http.client=DEBUG

spring.main.web-application-type=reactive


jwt.word.secret=c31b33d6a4e9f135780243b2d8f024ae689a40e51ddc9986d9e7b8736d3e7f840df1c14be1d7890f792aaec8d6e7ed0df6d7a9da2c4e944cfb454e43a6bcba2c


